"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createReducedReport = void 0;
const lighthouse_1 = require("../../../hacky-things/lighthouse");
function createReducedReport(flowResult) {
    const steps = flowResult.steps.map((step) => {
        const stepReport = lighthouse_1.Util.prepareReportResult(step.lhr);
        const { gatherMode } = stepReport;
        const categoriesEntries = Object.entries(stepReport.categories);
        const results = categoriesEntries.reduce((res, [categoryName, category]) => {
            res[categoryName] = lighthouse_1.Util.shouldDisplayAsFraction(stepReport.gatherMode) ?
                lighthouse_1.Util.calculateCategoryFraction(category) : (category).score;
            return res;
        }, {});
        return { name: step.name, gatherMode, results };
    });
    return { name: flowResult.name, steps };
}
exports.createReducedReport = createReducedReport;
//# sourceMappingURL=generate-reports.js.map